## mgltools-utpackages 1.5.6~rc1+cvs.20110617

=== debian/changelog ===
mgltools-utpackages (1.5.6~rc1+cvs.20110617-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Fri, 17 Jun 2011 01:20:30 +0200

mgltools-utpackages (1.5.4.cvs.20100912-2) unstable; urgency=low

  * debian/patches/do_not_install_in_build.patch: Do patch from NMU using
    quilt
  * debian/source/format: 3.0 (quilt)
  * debian/control
    - Standards-Version: 3.9.2 (no changes needed)
    - Build-Depend: freeglut3-dev (instead of libglut3-dev)
      Closes: #543698
    - Build-Depends: python-all-dev (>= 2.6) (and dropped
      python-central)
    - Dropped Build-Depends cdbs
    - Properly indentation of list in long description
  * Debhelper 8.0 (control+contrib)
  * debian/rules: switch to short dh syntax which makes
    dh_python2 easy
    Closes: #616903

 -- Andreas Tille <tille@debian.org>  Sun, 10 Apr 2011 22:13:04 +0200

mgltools-utpackages (1.5.4.cvs.20100912-1.1) unstable; urgency=low

  * Non-Maintainer Upload.  Closes: #605315.
  
  * setup.py: Apply patch from Tim Retout.  Closes: #592417.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 Dec 2010 22:32:07 -0600

mgltools-utpackages (1.5.4.cvs.20100912-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 12 Sep 2010 00:20:31 +0200

mgltools-utpackages (1.5.4.cvs.20090603-2) UNRELEASED; urgency=low

  [ Andreas Tille ]
  * debian/control:
    - Enhances: autodocktools
    - debhelper 7
    - Standards-Version: 3.8.3 (no changes needed)

  [ Charles Plessy ]
  * Corrected the VCS-* URLs (debian/control).

 -- Andreas Tille <tille@debian.org>  Fri, 16 Oct 2009 22:20:12 +0200

mgltools-utpackages (1.5.4.cvs.20090603-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Wed, 03 Jun 2009 11:48:25 +0200

mgltools-utpackages (1.5.4.cvs.20090528-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sat, 16 May 2009 00:51:33 +0200

mgltools-utpackages (1.5.4.cvs.20090514-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 14 May 2009 21:46:46 +0200

mgltools-utpackages (1.5.4.cvs.20081126-3) UNRELEASED; urgency=low

  * Change build-dep on python2.5-dev to python-all-dev (>= 2.5) and
    XS-Python-Version to >= 2.5 to build for Python 2.5 and 2.6

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Mar 2009 13:46:18 -0400

mgltools-utpackages (1.5.4.cvs.20081126-2) unstable; urgency=low

  * Another fix with gcc-4.3 that seems to have escaped me.

 -- Steffen Moeller <moeller@debian.org>  Sun, 14 Dec 2008 21:21:19 +0100

mgltools-utpackages (1.5.4.cvs.20081126-1) unstable; urgency=low

  * New upstream version.
  * Fix of incompatibility with gcc-4.3

 -- Steffen Moeller <moeller@debian.org>  Wed, 26 Nov 2008 14:43:20 +0100

mgltools-utpackages (1.5.2.cvs.20081109-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Nov 2008 15:02:41 +0100

mgltools-utpackages (1.5.2.cvs.20080731-1) unstable; urgency=low

  * Initial release, contributes to closing ITP #458811.

 -- Steffen Moeller <moeller@debian.org>  Thu, 31 Jul 2008 22:00:07 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for mgltools-utpackages

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS=-fpermissive

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -rf build build-stamp debian/Pmv
	find . -name *.o -o -name *.so | xargs -r rm
	find . -name "*.pdb" -exec chmod 644 {} \;

override_dh_install:
	dh_install
	find . -name *.rawiv -o -name *.jpg | xargs -r chmod -x

## mgltools-utpackages 1.5.6~rc2+cvs.20110926

=== debian/changelog ===
mgltools-utpackages (1.5.6~rc2+cvs.20110926-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 27 Sep 2011 10:58:16 +0200

## mgltools-utpackages 1.5.6~rc2+cvs.20111222

=== debian/changelog ===
mgltools-utpackages (1.5.6~rc2+cvs.20111222-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 22 Dec 2011 17:10:12 +0100

## mgltools-utpackages 1.5.7~rc1~cvs.20130519

=== UTsdfDIST/src/Makefile ===
OBJS = common.o compute.o init.o main.o head.o new_adjust.o octree.o propagate.o
LIBNAME = sdfLib.a

$(LIBNAME) : $(OBJS)
	ar rv $(LIBNAME) $(OBJS)  

$(OBJS): common.h head.h sdfLib.h

common.o: common.cpp
	g++ -Wall -c common.cpp

compute.o: compute.cpp
	g++ -Wall -c compute.cpp

init.o: init.cpp
	g++ -Wall -c init.cpp

main.o: main.cpp
	g++ -Wall -c main.cpp

new_adjust.o: new_adjust.cpp
	g++ -Wall -c new_adjust.cpp

octree.o: octree.cpp
	g++ -Wall -c octree.cpp

head.o: head.cpp
	g++ -Wall -c head.cpp

propagate.o: propagate.cpp
	g++ -Wall -c propagate.cpp

.PHONY: clean

clean:
	rm -f $(OBJS)

=== UTimposterDIST/src/ImposterRenderer/Makefile ===
CC = g++
CCFLAGS = -Wall -O3 -finline

# ----- Example programs --------------------------------------------------------

PROG_SRC = BallRenderer.cpp FunctionSphereRenderer.cpp GaussianRenderer.cpp GlobalCGContext.cpp HelixRenderer.cpp HollowCylinderRenderer.cpp ImposterRenderer.cpp PlainSphereRenderer.cpp sphereDrawing.cpp StickRenderer.cpp Texture.cpp
PROG_OBJ = BallRenderer.o FunctionSphereRenderer.o GaussianRenderer.o GlobalCGContext.o HelixRenderer.o HollowCylinderRenderer.o ImposterRenderer.o PlainSphereRenderer.o sphereDrawing.o StickRenderer.o Texture.o
TARGET = libImposterRenderer.a

# -------------------------------------------------------------------------------

all:    Makefile $(TARGET)

$(TARGET): $(PROG_OBJ)
	rm -f $(TARGET)
	ar cqs $(TARGET) $(PROG_OBJ)

BallRenderer.o: BallRenderer.cpp
	$(CC) $(CCFLAGS) -c BallRenderer.cpp -o BallRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

FunctionSphereRenderer.o: FunctionSphereRenderer.cpp
	$(CC) $(CCFLAGS) -c FunctionSphereRenderer.cpp -o FunctionSphereRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

GaussianRenderer.o: GaussianRenderer.cpp
	$(CC) $(CCFLAGS) -c GaussianRenderer.cpp -o GaussianRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

GlobalCGContext.o: GlobalCGContext.cpp
	$(CC) $(CCFLAGS) -c GlobalCGContext.cpp -o GlobalCGContext.o -I. -I../OpenGL_Viewer -I../UsefulMath

HelixRenderer.o: HelixRenderer.cpp
	$(CC) $(CCFLAGS) -c HelixRenderer.cpp -o HelixRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

HollowCylinderRenderer.o: HollowCylinderRenderer.cpp
	$(CC) $(CCFLAGS) -c HollowCylinderRenderer.cpp -o HollowCylinderRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

ImposterRenderer.o: ImposterRenderer.cpp
	$(CC) $(CCFLAGS) -c ImposterRenderer.cpp -o ImposterRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

PlainSphereRenderer.o: PlainSphereRenderer.cpp
	$(CC) $(CCFLAGS) -c PlainSphereRenderer.cpp -o PlainSphereRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

sphereDrawing.o: sphereDrawing.cpp
	$(CC) $(CCFLAGS) -c sphereDrawing.cpp -o sphereDrawing.o -I. -I../OpenGL_Viewer -I../UsefulMath

StickRenderer.o: StickRenderer.cpp
	$(CC) $(CCFLAGS) -c StickRenderer.cpp -o StickRenderer.o -I. -I../OpenGL_Viewer -I../UsefulMath

Texture.o: Texture.cpp
	$(CC) $(CCFLAGS) -c Texture.cpp -o Texture.o -I. -I../OpenGL_Viewer -I../UsefulMath

clean:
	rm $(TARGET) BallRenderer.o FunctionSphereRenderer.o GaussianRenderer.o GlobalCGContext.o HelixRenderer.o HollowCylinderRenderer.o ImposterRenderer.o PlainSphereRenderer.o sphereDrawing.o StickRenderer.o Texture.o

## mgltools-utpackages 1.5.6~rc3~cvs.20120601

=== debian/changelog ===
mgltools-utpackages (1.5.6~rc3~cvs.20120601-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add call to dh_numpy
  * debian/control: bump standard to 3.9.3
  * debian/copyright: lintian info fix

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Jun 2012 18:00:00 +0200

mgltools-utpackages (1.5.6~rc3~cvs.20120206-1) unstable; urgency=low

  * New upstream version.
  * debian/control: vcs fields corrected

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Feb 2012 18:00:00 +0100

=== debian/control ===
Source: mgltools-utpackages
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
XS-Autobuild: yes
Uploaders: Steffen Moeller <moeller@debian.org>,
 Sargis Dallakyan <sargis@scripps.edu>,
 Andreas Tille <tille@debian.org>,
 Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig, mesa-common-dev, libglu1-mesa-dev, freeglut3-dev, python-numpy
Standards-Version: 3.9.3
XS-Python-Version: >= 2.5
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mgltools/utpackages/trunk/
Homepage: http://mgltools.scripps.edu/

Package: mgltools-utpackages
XB-Python-Version: ${python:Versions}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: apbs
Enhances: autodocktools
Description: UT Austin software Python extensions
 This package is part of the mgltools set of Python libraries which
 provide an infrastructure for the analysis of protein structures and
 their docking of chemical compounds.
 .
 This distribution contains the following modules:
  - UTblurDIST(the blurring algorithm extracted  from  the PDB
    Blurring software);
  - UTisocontourDIST (the isocontouring library);
  - UTUTvolrendDIST  (volume rendering library);
  - UTmeshDIST (Level set Boundary Interior and Exterior Mesher -
    LBIEMesher).

## mgltools-utpackages 1.5.6%7erc2%2bcvs.20111222

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 XS-Autobuild: yes
-Uploaders: Steffen Moeller <moeller@debian.org>,
- Sargis Dallakyan <sargis@scripps.edu>,
+Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,
  Andreas Tille <tille@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig, mesa-common-dev, libglu1-mesa-dev, freeglut3-dev, python-numpy
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mgltools/utpackages/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/?rev=0&sc=0
+Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mgltools/utpackages/trunk/
 Homepage: http://mgltools.scripps.edu/
 
 Package: mgltools-utpackages

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+BRANCH=`cat debian/get-orig-source/current-branch`
+RCVERSION=`cat debian/get-orig-source/rc-version`
+SRC=UTpackagesDIST
 
 export CFLAGS=-fpermissive
 
@@ -19,3 +23,6 @@
 override_dh_install:
 	dh_install
 	find . -name *.rawiv -o -name *.jpg | xargs -r chmod -x
+
+get-orig-source:
+	./debian/get-orig-source/get-orig-source $(SRC) $(BRANCH) $(RCVERSION)

## mgltools-utpackages 1.5.7~rc1~cvs.20130519

=== debian/changelog ===
mgltools-utpackages (1.5.7~rc1~cvs.20130519-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bump standard to 3.9.4 (no changes)
  * debian/control: remove DM-Upload-Allowed
  * debian/copyright: add permission for debian to distribute mgltools

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 May 2013 12:00:00 +0200

## mgltools-utpackages 1.5.7~rc1+cvs.20140424

=== multisdfDIST/src/Makefile ===
#############################################################################
# Makefile for building: msdf
# Generated by qmake (1.07a) (Qt 3.3.4) on: Fri Feb 12 13:42:59 2010
# Project:  multi_sdf.pro
# Template: app
# Command: $(QMAKE) -o Makefile multi_sdf.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -w -O2  
#CXXFLAGS = -pipe -w -O2  
CXXFLAGS = -pipe -w -O2 -fPIC
LEXFLAGS = 
YACCFLAGS= -d
CGAL_DIR = /mgl/devuser1/annao/CGAL/CGAL-3.1
#CGALPLATFORM=i686_Linux-2.4.21-27.0.2.EL_g++-3.2.3

CGALPLATFORM=x86-64_Linux-2.6.27.35-170.2.94.fc10.x86-64_g++-4.3.2

CGALINCLUDE= $(CGAL_DIR)/include
CGALCONFIG = $(CGAL_DIR)/include/CGAL/config/$(CGALPLATFORM)
CGAL_LIB = $(CGAL_DIR)/lib/$(CGALPLATFORM)

INCPATH  = -I/usr/local/mkspecs/default -I. -I$(CGALINCLUDE) -I$(CGALCONFIG)  -I/usr/include -I../VolMagick -I/usr/X11R6/include -I/usr/X11R6/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/X11R6/lib -L/usr/X11R6/lib -L$(CGAL_LIB) ../VolMagick/libVolMagick.a -lCGAL -lGLU -lGL -lXmu -lXext -lX11 -lm
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = 
SOURCES = main.C \
		mesh_io.C \
		sdf.C \
		kdtree.C \
		matrix.C \
		dt.C \
		init.C \
		robust_cc.C \
		rcocone.C \
		tcocone.C \
		op.C \
		util.C
OBJECTS = main.o \
		mesh_io.o \
		sdf.o \
		kdtree.o \
		matrix.o \
		dt.o \
		init.o \
		robust_cc.o \
		rcocone.o \
		tcocone.o \
		op.o \
		util.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = multi_sdf.pro
QMAKE_TARGET = msdf
DESTDIR  = 
TARGET   = msdf

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules
staticlib: libSDF.a

#all: Makefile $(TARGET) staticlib
all: Makefile  staticlib

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)


libSDF.a : $(UICDECLS) $(OBJECTS) $(OBJMOC)  $(OBJCOMP) 
	$(AR) libSDF.a  $(OBJECTS) $(OBJMOC)


mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

#Makefile: multi_sdf.pro  /usr/local/mkspecs/default/qmake.conf 
#	$(QMAKE) -o Makefile multi_sdf.pro
#qmake: 
#	@$(QMAKE) -o Makefile multi_sdf.pro

dist: 
	@mkdir -p .tmp/msdf && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/msdf/ && ( cd `dirname .tmp/msdf` && $(TAR) msdf.tar msdf && $(GZIP) msdf.tar ) && $(MOVE) `dirname .tmp/msdf`/msdf.tar.gz . && $(DEL_FILE) -r .tmp/msdf

mocclean:
uiclean:

yaccclean:
lexclean:
clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

main.o: main.C mesh_io.h \
		sdf.h \
		kdtree.h \
		matrix.h \
		dt.h \
		../VolMagick/VolMagick.h \
		../VolMagick/VolumeCache.h \
		../VolMagick/endians.h \
		mds.h \
		datastruct.h \
		util.h \
		priorityqueue.h \
		init.h \
		rcocone.h \
		tcocone.h \
		robust_cc.h \
		op.h \
		../VolMagick/Exceptions.h \
		../VolMagick/Dimension.h \
		../VolMagick/BoundingBox.h

mesh_io.o: mesh_io.C mesh_io.h \
		mds.h \
		datastruct.h

sdf.o: sdf.C sdf.h \
		mds.h \
		matrix.h \
		kdtree.h \
		util.h \
		datastruct.h \
		priorityqueue.h

kdtree.o: kdtree.C kdtree.h \
		priorityqueue.h \
		matrix.h

matrix.o: matrix.C matrix.h

dt.o: dt.C dt.h \
		datastruct.h \
		init.h \
		rcocone.h \
		tcocone.h \
		util.h \
		robust_cc.h \
		op.h \
		mds.h

init.o: init.C init.h \
		robust_cc.h \
		op.h \
		datastruct.h \
		util.h

robust_cc.o: robust_cc.C robust_cc.h \
		datastruct.h

rcocone.o: rcocone.C rcocone.h \
		datastruct.h \
		util.h \
		robust_cc.h

tcocone.o: tcocone.C tcocone.h \
		datastruct.h \
		util.h \
		robust_cc.h

op.o: op.C op.h \
		datastruct.h \
		util.h

util.o: util.C util.h \
		datastruct.h

####### Install

install:  

uninstall:

=== UTimposterDIST/src/UsefulMath/Makefile ===
CC = g++
CCFLAGS = -Wall -O3 -finline

# ----- Example programs --------------------------------------------------------

PROG_SRC = LinearAlgebra.cpp Matrix.cpp Vector.cpp Quaternion.cpp Ray.cpp Tuple.cpp
PROG_OBJ = LinearAlgebra.o Matrix.o Vector.o Quaternion.o Ray.o Tuple.o
TARGET = libUsefulMath.a

# -------------------------------------------------------------------------------

all:    Makefile $(TARGET)

$(TARGET): $(PROG_OBJ)
	rm -f $(TARGET)
	ar cqs $(TARGET) $(PROG_OBJ)


LinearAlgebra.o: LinearAlgebra.cpp
	$(CC) $(CCFLAGS) -c LinearAlgebra.cpp -o LinearAlgebra.o -I.

Matrix.o: Matrix.cpp
	$(CC) $(CCFLAGS) -c Matrix.cpp -o Matrix.o -I.

Vector.o: Vector.cpp
	$(CC) $(CCFLAGS) -c Vector.cpp -o Vector.o -I.

Quaternion.o: Quaternion.cpp
	$(CC) $(CCFLAGS) -c Quaternion.cpp -o Quaternion.o -I.

Ray.o: Ray.cpp
	$(CC) $(CCFLAGS) -c Ray.cpp -o 	Ray.o -I.

Tuple.o: Tuple.cpp
	$(CC) $(CCFLAGS) -c Tuple.cpp -o Tuple.o -I.	

clean:
	rm $(TARGET) LinearAlgebra.o Matrix.o Vector.o Quaternion.o Ray.o Tuple.o

=== UTvolrendDIST/src/linux2/Makefile ===
# VolumeLibrary Makefile for linux 

CFLAGS = -Wall -O3 -fpermissive
VPATH = ../

CC = g++
LINK = ar

INCLUDE = -I../

LIBRARY = libVolume.a

OBJS =  ClipCube.o Extent.o MyExtensions.o PalettedImpl.o \
	Plane.o Polygon.o PolygonArray.o Renderer.o RendererBase.o\
	RGBABase.o SGIColorTableImpl.o SimpleRGBAImpl.o \
	UnshadedBase.o VolumeRenderer.o FragmentProgramImpl.o \
	SimpleRGBA2DImpl.o Paletted2DImpl.o

HDRS =  ClipCube.h ExtensionPointers.h Extent.h LookupTables.h \
	MyExtensions.h PalettedImpl.h Plane.h Polygon.h PolygonArray.h \
	Renderer.h RendererBase.h RGBABase.h SGIColorTableImpl.h \
	SimpleRGBAImpl.h StaticExtensionPointers.h UnshadedBase.h \
	VolumeRenderer.h FragmentProgramImpl.h SimpleRGBA2DImpl.h \
	Paletted2DImpl.h

# Build rules

all: library 

library   : $(OBJS)
	($(LINK) rv $(LIBRARY) $(OBJS))

example:
	cd testdir; make

cleanobj:
	rm *.o
clean:  cleanobj
	rm libVolume.a

# Implicit rules

#%.o : %.cpp $(HDRS)
#	$(CC) -c $(CFLAGS) $(INCLUDE) -DGL_GLEXT_PROTOTYPES -o $@ $<

%.o : %.cpp $(HDRS)
	$(CC) -c $(CFLAGS) $(INCLUDE) -o $@ $<

=== debian/changelog ===
mgltools-utpackages (1.5.7~rc1+cvs.20140424-1) unstable; urgency=medium

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Thu, 24 Apr 2014 17:40:49 +0200

mgltools-utpackages (1.5.7~rc1~cvs.20130917-1) unstable; urgency=low

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 17 Sep 2013 14:47:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: non-free/science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 XS-Autobuild: yes
-Uploaders: Steffen Moeller <moeller@debian.org>, Sargis Dallakyan <sargis@scripps.edu>,
+Uploaders: Steffen Moeller <moeller@debian.org>,
+ Sargis Dallakyan <sargis@scripps.edu>,
  Andreas Tille <tille@debian.org>,
  Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), swig, mesa-common-dev, libglu1-mesa-dev, freeglut3-dev, python-numpy
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 XS-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mgltools/utpackages/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mgltools/utpackages/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/mgltools/utpackages/trunk/
 Homepage: http://mgltools.scripps.edu/
 
 Package: mgltools-utpackages

## mgltools-utpackages 1.5.7

=== UTimposterDIST/src/OpenGL_Viewer/Makefile ===
CC = g++
CCFLAGS = -Wall -O3 -finline

# ----- Example programs --------------------------------------------------------

PROG_SRC = MyExtensions.cpp
PROG_OBJ = MyExtensions.o
TARGET = libOpenGL_Viewer.a

# -------------------------------------------------------------------------------

all:    Makefile $(TARGET)

$(TARGET): $(PROG_OBJ)
	rm -f $(TARGET)
	ar cqs $(TARGET) $(PROG_OBJ)


MyExtensions.o: MyExtensions.cpp
	$(CC) $(CCFLAGS) -c MyExtensions.cpp -o MyExtensions.o -I.

clean:
	rm $(TARGET) MyExtensions.o

=== UTvolrendDIST/src/darwin/Makefile ===
# VolumeLibrary Makefile for linux 

CFLAGS = -Wall -O3 
VPATH = ../

CC = g++
LINK = libtool

INCLUDE = -I../ -I/System/Library/Frameworks/OpenGL.framework/Headers/

LIBRARY = libVolume.a

OBJS =  ClipCube.o Extent.o MyExtensions.o PalettedImpl.o \
	Plane.o Polygon.o PolygonArray.o Renderer.o RendererBase.o\
	RGBABase.o SGIColorTableImpl.o SimpleRGBAImpl.o \
	UnshadedBase.o VolumeRenderer.o FragmentProgramImpl.o \
	SimpleRGBA2DImpl.o Paletted2DImpl.o VolumeRendererFactory.o \
	FragmentProgramARBImpl.o

HDRS =  ClipCube.h ExtensionPointers.h Extent.h LookupTables.h \
	MyExtensions.h PalettedImpl.h Plane.h Polygon.h PolygonArray.h \
	Renderer.h RendererBase.h RGBABase.h SGIColorTableImpl.h \
	SimpleRGBAImpl.h StaticExtensionPointers.h UnshadedBase.h \
	VolumeRenderer.h FragmentProgramImpl.h SimpleRGBA2DImpl.h \
	Paletted2DImpl.h FragmentProgramARBImpl.h VolumeRendererFactory.h

# Build rules

all: library 

library   : $(OBJS)
	($(LINK) -static -o $(LIBRARY) $(OBJS))

example:
	cd testdir; make

cleanobj:
	rm *.o
clean:  cleanobj
	rm libVolume.a

# Implicit rules

%.o : %.cpp $(HDRS)
	$(CC) -c $(CFLAGS) $(INCLUDE) -D__APPLE__ -o $@ $<

=== UTvolrendDIST/src/irix6/Makefile ===
# libVolume.a Makefile for irix
CFLAGS = -O3
VPATH = ../
CC = CC
LINK = ar

INCLUDE = -I./
MAKE = gmake

LIBRARY = libVolume.a

OBJS = ClipCube.o Extent.o MyExtensions.o PalettedImpl.o \
	Plane.o Polygon.o PolygonArray.o Renderer.o RendererBase.o\
	RGBABase.o SGIColorTableImpl.o SimpleRGBAImpl.o \
	UnshadedBase.o VolumeRenderer.o FragmentProgramImpl.o \
	SimpleRGBA2DImpl.o Paletted2DImpl.o

HDRS =  ClipCube.h ExtensionPointers.h Extent.h LookupTables.h \
	MyExtensions.h PalettedImpl.h Plane.h Polygon.h PolygonArray.h \
	Renderer.h RendererBase.h RGBABase.h SGIColorTableImpl.h \
	SimpleRGBAImpl.h StaticExtensionPointers.h UnshadedBase.h \
	VolumeRenderer.h  FragmentProgramImpl.h SimpleRGBA2DImpl.h \
	Paletted2DImpl.h
 
########
# Build rules
########

all: library 

library:$(OBJS)
	$(LINK) rv $(LIBRARY) $(OBJS)

example: 
	cd testdir; make

cleanobj:
	rm *.o

clean: cleanobj
	rm libVolume.a

########
# Implicit rules
########

%.o : %.cpp $(HDRS)
	$(CC) -c $(CFLAGS) $(INCLUDE) -o $@ $<

=== UTvolrendDIST/src/sunos5/Makefile ===
# Makefile for Sun

CFLAGS = -Kpic -mt -fast 

VPATH = ../

CC = CC
LINK = ar

INCLUDE =

LIBRARY = libVolume.a

OBJS =  ClipCube.o Extent.o MyExtensions.o PalettedImpl.o \
	Plane.o Polygon.o PolygonArray.o Renderer.o RendererBase.o\
	RGBABase.o SGIColorTableImpl.o SimpleRGBAImpl.o \
	UnshadedBase.o VolumeRenderer.o FragmentProgramImpl.o \
	SimpleRGBA2DImpl.o Paletted2DImpl.o

HDRS = 	ClipCube.h ExtensionPointers.h Extent.h LookupTables.h \
	MyExtensions.h PalettedImpl.h Plane.h Polygon.h PolygonArray.h \
	Renderer.h RendererBase.h RGBABase.h SGIColorTableImpl.h \
	SimpleRGBAImpl.h StaticExtensionPointers.h UnshadedBase.h \
	VolumeRenderer.h  FragmentProgramImpl.h SimpleRGBA2DImpl.h \
	Paletted2DImpl.h

########
# Build rules
########

all: library 

library:$(OBJS)
	$(LINK) rv $(LIBRARY) $(OBJS)
example: 
	cd testdir; make

cleanobj:
	rm *.o
cleanlib: cleanobj
	rm libVolume.a

########
# Implicit rules
########
%.o : %.cpp $(HDRS)
	$(CC) -c $(CFLAGS) $(INCLUDE) -o $@ $<

=== debian/changelog ===
mgltools-utpackages (1.5.7-3) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Drop ancient X-Python-Version field

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 22:09:18 +0100

mgltools-utpackages (1.5.7-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging of never uploaded package from SVN to Git
  * Remove myself from Uploaders
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Mon, 01 Jan 2018 08:02:43 +0100

mgltools-utpackages (1.5.7-1) unstable; urgency=medium

  * New upstream version (Closes: #767144,#783547,
                          lp:#821299,lp:1386091,lp:#1386163,lp:#1492762)

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Jul 2016 17:56:15 +0200

=== debian/control ===
Source: mgltools-utpackages
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 11~),
               python-all-dev,
               swig,
               mesa-common-dev,
               libglu1-mesa-dev,
               freeglut3-dev,
               python-numpy,
               dh-python
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/mgltools-utpackages
Vcs-Git: https://salsa.debian.org/med-team/mgltools-utpackages.git
Homepage: http://mgltools.scripps.edu/

Package: mgltools-utpackages
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Suggests: apbs
Enhances: autodocktools
Description: UT Austin software Python extensions
 This package is part of the mgltools set of Python libraries which
 provide an infrastructure for the analysis of protein structures and
 their docking of chemical compounds.
 .
 This distribution contains the following modules:
  - UTblurDIST(the blurring algorithm extracted  from  the PDB
    Blurring software);
  - UTisocontourDIST (the isocontouring library);
  - UTUTvolrendDIST  (volume rendering library);
  - UTmeshDIST (Level set Boundary Interior and Exterior Mesher -
    LBIEMesher).

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 override_dh_install:
 	dh_install
+	dh_numpy
 	find . -name *.rawiv -o -name *.jpg | xargs -r chmod -x
 
 get-orig-source:
